Skip to main content
POST
Create text completion
Este es un endpoint legacy. Para la mayoría de los casos de uso, utilice Chat Completions en su lugar.

Cuerpo de la Solicitud

string
requerido
ID del modelo a usar.
string | string[]
requerido
El/los prompt(s) para los cuales generar completions.
integer
predeterminado:16
Número máximo de tokens a generar.
number
predeterminado:1
Temperatura de muestreo entre 0 y 2.
number
predeterminado:1
Parámetro de muestreo nucleus.
string | string[]
Secuencia(s) de parada.
string
Texto a agregar después del completion.

Respuesta

Ejemplo

Autorizaciones

Authorization
string
header
requerido

API key authentication. Pass your OpenModex API key as a Bearer token in the Authorization header: Authorization: Bearer omx_sk_...

Cuerpo

application/json

Request body for creating a text completion (legacy).

model
string
requerido

ID of the model to use.

prompt
requerido

The prompt(s) to generate completions for.

max_tokens
integer

The maximum number of tokens to generate.

temperature
number

Sampling temperature between 0 and 2.

top_p
number

Nucleus sampling parameter.

n
integer

How many completions to generate for each prompt.

stream
boolean
predeterminado:false

Whether to stream back partial progress via SSE.

stop

Up to 4 sequences where the API will stop generating further tokens.

frequency_penalty
number

Penalizes new tokens based on their existing frequency in the text.

presence_penalty
number

Penalizes new tokens based on whether they appear in the text so far.

logit_bias
object

Modify the likelihood of specified tokens appearing in the completion.

suffix
string

The suffix that comes after a completion of inserted text.

user
string

A unique identifier representing your end-user.

routing
object

Configuration for intelligent request routing.

Respuesta

Text completion response.

Response from a text completion request.

id
string

A unique identifier for the completion.

object
enum<string>

The object type, always 'text_completion'.

Opciones disponibles:
text_completion
created
integer

Unix timestamp (in seconds) of when the completion was created.

model
string

The model used for the completion.

choices
object[]

A list of completion choices.

usage
object

Token usage statistics for a completion request.

openmodex
object

OpenModex-specific metadata included in completion responses.